<!--
    Input:
        framework_compatibility_matrix.xml
        vendor.samsung.hardware.tlc.kg@1.0-matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        vendor.samsung.hardware.authfw@1.0-matrix.xml
        tlc_payment_compatibility_matrix.xml
        tlc_blockchain_compatibility_matrix.xml
        vendor.samsung.hardware.tlc.iccc@1.0-matrix.xml
        vendor.samsung.hardware.tlc.snap@1.0-matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        vendor.samsung.hardware.hqm@1.0-matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        radio_framework_compatibility_matrix_ds.xml
        face_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        vendor.samsung.hardware.tlc.hdm@1.1-matrix.xml
        vendor.samsung.hardware.tlc.ddar@1.0-matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        device_framework_compatibility_matrix.xml
-->
<compatibility-matrix version="4.0" type="framework">
    <hal format="hidl" optional="true">
        <name>android.hardware.biometrics.face</name>
        <version>1.0</version>
        <interface>
            <name>IBiometricsFace</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>android.hardware.light</name>
        <interface>
            <name>ILights</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.nfc</name>
        <version>1.2</version>
        <interface>
            <name>INfc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.radio</name>
        <version>1.2</version>
        <interface>
            <name>ISap</name>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.radio</name>
        <version>1.0</version>
        <interface>
            <name>IRadio</name>
            <instance>slot1</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.radio</name>
        <version>1.2</version>
        <interface>
            <name>ISap</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.secure_element</name>
        <version>1.2</version>
        <interface>
            <name>ISecureElement</name>
            <instance>eSE1</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>android.hardware.vibrator</name>
        <interface>
            <name>IVibrator</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.audio</name>
        <version>1.0</version>
        <interface>
            <name>ISehDevicesFactory</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.authfw</name>
        <version>1.0</version>
        <interface>
            <name>ISehAuthenticationFramework</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.biometrics.face</name>
        <version>2.0</version>
        <interface>
            <name>ISehBiometricsFace</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="false">
        <name>vendor.samsung.hardware.bluetooth</name>
        <version>2.0</version>
        <interface>
            <name>ISehBluetooth</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="false">
        <name>vendor.samsung.hardware.camera.provider</name>
        <version>4.0</version>
        <interface>
            <name>ISehCameraProvider</name>
            <instance>legacy/0</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="false">
        <name>vendor.samsung.hardware.gnss</name>
        <version>2.1</version>
        <interface>
            <name>ISehGnss</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.health</name>
        <version>2.0</version>
        <interface>
            <name>ISehHealth</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.hqm</name>
        <version>1.0</version>
        <interface>
            <name>ISehHqm</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.hyper</name>
        <version>2</version>
        <interface>
            <name>ISehHyPer</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.hyper</name>
        <version>2</version>
        <interface>
            <name>ISehHyPer</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.media.mpp</name>
        <interface>
            <name>ISehMppStore</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.media.mpp</name>
        <interface>
            <name>ISehMppStore</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.miscpower</name>
        <version>2.0</version>
        <interface>
            <name>ISehMiscPower</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.nfc</name>
        <version>2.0</version>
        <interface>
            <name>ISehNfc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.radio</name>
        <version>2.2</version>
        <interface>
            <name>ISehRadio</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.radio.bridge</name>
        <version>2.0</version>
        <interface>
            <name>ISehBridge</name>
            <instance>slot1</instance>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.radio.channel</name>
        <version>2.0</version>
        <interface>
            <name>ISehChannel</name>
            <instance>epdgd</instance>
            <instance>epdgd2</instance>
            <instance>imsd</instance>
            <instance>imsd2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.security.engmode</name>
        <version>1.0</version>
        <interface>
            <name>ISehEngmode</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.samsung.hardware.security.hdcp.wifidisplay</name>
        <version>1-2</version>
        <interface>
            <name>ISehHdcp</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.security.sem</name>
        <version>1.0</version>
        <interface>
            <name>ISehSem</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.security.skpm</name>
        <version>1.0</version>
        <interface>
            <name>ISehSkpm</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.security.vaultkeeper</name>
        <version>2.0</version>
        <interface>
            <name>ISehVaultKeeper</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="false">
        <name>vendor.samsung.hardware.security.widevine.keyprov</name>
        <version>1.0</version>
        <interface>
            <name>ISehWidevineKeyProvisioning</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.security.wsm</name>
        <version>1.0</version>
        <interface>
            <name>ISehWsm</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.security.wsm</name>
        <version>1.0</version>
        <interface>
            <name>ISehWsm</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.sysinput</name>
        <version>1.2</version>
        <interface>
            <name>ISehSysInputDev</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.sysinput</name>
        <version>1.2</version>
        <interface>
            <name>ISehSysInputDev</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.thermal</name>
        <version>1.0</version>
        <interface>
            <name>ISehThermal</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.tlc.blockchain</name>
        <version>1.0</version>
        <interface>
            <name>ISehBlockchain</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.tlc.ddar</name>
        <version>1.0</version>
        <interface>
            <name>ISehDdar</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.tlc.hdm</name>
        <version>1.1</version>
        <interface>
            <name>ISehHdm</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.tlc.iccc</name>
        <version>1.0</version>
        <interface>
            <name>ISehIccc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.tlc.kg</name>
        <version>1.0</version>
        <interface>
            <name>ISehKg</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.tlc.payment</name>
        <version>1.0</version>
        <interface>
            <name>ISehTlcPayment</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.tlc.snap</name>
        <version>1.0</version>
        <interface>
            <name>ISehSnapSec</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.tlc.ucm</name>
        <version>2.0</version>
        <interface>
            <name>ISehUcm</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.wifi</name>
        <version>2.0-2</version>
        <interface>
            <name>ISehWifi</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.wifi.hostapd</name>
        <version>4.0</version>
        <interface>
            <name>ISehHostapd</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung.hardware.wifi.supplicant</name>
        <version>3.0-1</version>
        <interface>
            <name>ISehSupplicant</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.ExynosA2DPOffload</name>
        <version>1.0</version>
        <interface>
            <name>IExynosA2DPOffload</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.ExynosHWCServiceTW</name>
        <version>1.0</version>
        <interface>
            <name>IExynosHWCServiceTW</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.SbwcDecompService</name>
        <version>1.0</version>
        <interface>
            <name>ISbwcDecompService</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.audio_dump</name>
        <version>1.0</version>
        <interface>
            <name>IAudioDump</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.configstore</name>
        <version>1.0</version>
        <interface>
            <name>IExynosHWCConfigs</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.eden_runtime</name>
        <version>1.0</version>
        <interface>
            <name>IEdenruntime</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.enn</name>
        <version>1.0</version>
        <interface>
            <name>IEnnInterface</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.enn_aux</name>
        <version>1.0</version>
        <interface>
            <name>IENN_AUX</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.epic</name>
        <version>1.0</version>
        <interface>
            <name>IEpicRequest</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.geoTransService</name>
        <version>1.0</version>
        <interface>
            <name>IGeoTransService</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.memlogservice</name>
        <version>1.0</version>
        <interface>
            <name>IMemlogService</name>
            <instance>memlog</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.hardware.ofi</name>
        <version>1.0</version>
        <version>2.1</version>
        <interface>
            <name>IOfiService</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.telephony.hardware.oemservice</name>
        <version>1.0</version>
        <interface>
            <name>IOemService</name>
            <instance>dm0</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.telephony.hardware.oemservice</name>
        <version>1.0</version>
        <interface>
            <name>IOemService</name>
            <instance>dm1</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.telephony.hardware.oemservice</name>
        <version>1.0</version>
        <interface>
            <name>IOemService</name>
            <instance>sced0</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.telephony.hardware.radio</name>
        <version>1.1</version>
        <interface>
            <name>IOemSamsungslsi</name>
            <instance>slot1</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.telephony.hardware.radio</name>
        <version>1.1</version>
        <interface>
            <name>IOemSamsungslsi</name>
            <instance>slot2</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.samsung_slsi.telephony.hardware.radioExternal</name>
        <version>1.1</version>
        <interface>
            <name>IOemSlsiRadioExternal</name>
            <instance>rilExternal</instance>
        </interface>
    </hal>
    <sepolicy>
        <kernel-sepolicy-version>30</kernel-sepolicy-version>
        <sepolicy-version>26.0</sepolicy-version>
        <sepolicy-version>27.0</sepolicy-version>
        <sepolicy-version>28.0</sepolicy-version>
        <sepolicy-version>29.0</sepolicy-version>
        <sepolicy-version>30.0</sepolicy-version>
        <sepolicy-version>31.0</sepolicy-version>
    </sepolicy>
    <avb>
        <vbmeta-version>1.0</vbmeta-version>
    </avb>
</compatibility-matrix>
